Bug 70753 - [boot] Device for firewire hard disk not created in time for mount root
Summary: [boot] Device for firewire hard disk not created in time for mount root
Status: Open
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: 6.0-CURRENT
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-bugs mailing list
URL:
Keywords: cam, mountroot
Depends on:
Blocks:
 
Reported: 2004-08-21 03:50 UTC by Geoff Prince
Modified: 2019-01-07 16:47 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Geoff Prince 2004-08-21 03:50:20 UTC
I am running CURRENT on an external USB/Firewire HDD. Until recently I have been able to boot from USB and after kernel modules have been loaded, remove the USB cable and system will boot perfectly on firewire connection. This stopped working about the beginning of August 2004.

Now the firewire controller is found but da? device is not created before the mount of the root file system. Even if we boot off a separate usb device, containing just /boot, the da1 device is still not created.

If HDD is plugged into running system. da? device is created and works fine.

How-To-Repeat: See full description.
Comment 1 Sean Bruno 2008-07-08 00:17:38 UTC
Any chance this has been resolved in 6.3 for you?

Also, can you verify that your kernel configuration contains "device 
sbp" for our sanity?

-- 
Sean Bruno
MiraLink Corporation
6015 NE 80th Ave, Ste 100
Portland, OR 97218
Phone 503-621-5143
Fax 503-621-5199
Comment 2 Gavin Atkinson freebsd_committer freebsd_triage 2009-02-02 20:53:17 UTC
State Changed
From-To: open->feedback

To submitter:  Do you know if this problem has ever been resolved? 


Comment 3 Gavin Atkinson freebsd_committer freebsd_triage 2009-02-02 20:53:17 UTC
Responsible Changed
From-To: freebsd-bugs->gavin

Track
Comment 4 Eitan Adler freebsd_committer freebsd_triage 2017-12-31 07:59:41 UTC
For bugs matching the following criteria:

Status: In Progress Changed: (is less than) 2014-06-01

Reset to default assignee and clear in-progress tags.

Mail being skipped